## nss 3.28.4

=== nss/lib/freebl/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

ifeq ($(FREEBL_NO_DEPEND),1)
	DEFINES += -DFREEBL_NO_DEPEND
	STUBS_SRCS = stubs.c
endif

ifeq ($(FREEBL_LOWHASH),1)
	DEFINES += -DFREEBL_LOWHASH
	LOWHASH_SRCS = nsslowhash.c
	LOWHASH_EXPORTS = nsslowhash.h
	MAPFILE_SOURCE = freebl_hash_vector.def
	NEED_STUB_BUILD = 1
else
	MAPFILE_SOURCE = freebl.def
endif

ifdef USE_STUB_BUILD
	CSRCS           = lowhash_vector.c
	SIMPLE_OBJS     = $(CSRCS:.c=$(OBJ_SUFFIX))
	OBJS            = $(addprefix $(OBJDIR)/$(PROG_PREFIX), $(SIMPLE_OBJS))
	ALL_TRASH :=    $(TARGETS) $(OBJS) $(OBJDIR) LOGS TAGS $(GARBAGE) \
                $(NOSUCHFILE) so_locations
	MAPFILE_SOURCE = freebl_hash.def
endif

# FREEBL_USE_PRELINK
#
# Most modern version of Linux support a speed optimization scheme where an
# application called prelink modifies programs and shared libraries to quickly
# load if they fit into an already designed address space. In short, prelink
# scans the list of programs and libraries on your system, assigns them a
# predefined space in the the address space, then provides the fixups to the
# library.
#
# The modification of the shared library is correctly detected by the freebl
# FIPS checksum scheme where we check a signed hash of the library against the
# library itself.
#
# The prelink command itself can reverse the process of modification and output
# the prestine shared library as it was before prelink made it's changes.
# This option tells Freebl could use prelink to output the original copy of
# the shared library before prelink modified it.
#
# FREEBL_PRELINK_COMMAND
#
# This is an optional environment variable which can override the default
# prelink command. It could be used on systems that did something similiar to 
# prelink but used a different command and syntax. The only requirement is the 
# program must take the library as the last argument, the program must output 
# the original library to standard out, and the program does not need to take 
# any quoted or imbedded spaces in its arguments (except the path to the 
# library itself, which can have imbedded spaces or special characters).
#
ifdef FREEBL_USE_PRELINK
	DEFINES += -DFREEBL_USE_PRELINK
ifdef LINUX
	DEFINES += -D__GNU_SOURCE=1
endif
endif
ifdef NSS_NO_INIT_SUPPORT
    DEFINES += -DNSS_NO_INIT_SUPPORT
endif

ifdef FREEBL_PRELINK_COMMAND
	DEFINES +=-DFREEBL_PRELINK_COMMAND=\"$(FREEBL_PRELINK_COMMAND)\"
endif
# NSS_X86 means the target is a 32-bits x86 CPU architecture
# NSS_X64 means the target is a 64-bits 64 CPU architecture
# NSS_X86_OR_X64 means the target is either x86 or x64
ifeq (,$(filter-out i386 x386 x86 x86_64,$(CPU_ARCH)))
        DEFINES += -DNSS_X86_OR_X64
ifneq (,$(USE_64)$(USE_X32))
        DEFINES += -DNSS_X64
else
        DEFINES += -DNSS_X86
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (OS2,$(OS_TARGET))
    ASFILES  = mpi_x86_os2.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DMP_IS_LITTLE_ENDIAN
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))
ifndef USE_64
# 32-bit Windows
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
# MSVC
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    # The Intel AES assembly code requires Visual C++ 2010.
    # if $(_MSC_VER) >= 1600 (Visual C++ 2010)
    ifeq ($(firstword $(sort $(_MSC_VER) 1600)),1600)
	DEFINES += -DUSE_HW_AES -DINTEL_GCM
	ASFILES += intel-aes-x86-masm.asm intel-gcm-x86-masm.asm
	EXTRA_SRCS += intel-gcm-wrap.c
	ifeq ($(CLANG_CL),1)
	    INTEL_GCM_CLANG_CL = 1
	endif
    endif
endif
else
    # -DMP_NO_MP_WORD
    DEFINES += -DMP_IS_LITTLE_ENDIAN
ifdef NS_USE_GCC
# Ideally, we should use amd64 assembly code, but it's not yet mingw-w64
# compatible.
else
# MSVC
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    ASFILES  = arcfour-amd64-masm.asm mpi_amd64_masm.asm mp_comba_amd64_masm.asm
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    # The Intel AES assembly code requires Visual C++ 2010 (10.0). The _xgetbv
    # compiler intrinsic function requires Visual C++ 2010 (10.0) SP1.
    ifeq ($(_MSC_VER_GE_10SP1),1)
	DEFINES += -DUSE_HW_AES -DINTEL_GCM
	ASFILES += intel-aes-x64-masm.asm intel-gcm-x64-masm.asm
	EXTRA_SRCS += intel-gcm-wrap.c
	ifeq ($(CLANG_CL),1)
	    INTEL_GCM_CLANG_CL = 1
	endif
    endif
    MPI_SRCS += mpi_amd64.c
endif
endif
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Darwin)
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_sse2.s
    DEFINES += -DMP_USE_UINT_DIGIT
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
endif
endif # Darwin

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -fPIC -Wa,--noexecstack
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    # comment the next four lines to turn off Intel HW acceleration.
    DEFINES += -DUSE_HW_AES -DINTEL_GCM
    ASFILES += intel-aes.s intel-gcm.s
    EXTRA_SRCS += intel-gcm-wrap.c
    INTEL_GCM = 1
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT
    DEFINES += -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
ifeq ($(CPU_ARCH),arm)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_USE_UINT_DIGIT
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
    MPI_SRCS += mpi_arm.c
endif
ifeq ($(CPU_ARCH),ppc)
ifdef USE_64
    DEFINES += -DNSS_NO_INIT_SUPPORT
endif # USE_64
endif # ppc
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
ifndef NS_USE_GCC
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,

=== debian/changelog ===
nss (2:3.28.4-0ubuntu0.14.04.5) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS in NULL pointer dereference in CMS functions
    - debian/patches/CVE-2018-18508-1.patch: add null checks in
      nss/lib/smime/cmscinfo.c, nss/lib/smime/cmsdigdata.c,
      nss/lib/smime/cmsencdata.c, nss/lib/smime/cmsenvdata.c,
      nss/lib/smime/cmsmessage.c, nss/lib/smime/cmsudf.c.
    - debian/patches/CVE-2018-18508-2.patch: add null checks in
      nss/lib/smime/cmsmessage.c.
    - CVE-2018-18508

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Feb 2019 14:41:32 +0100

nss (2:3.28.4-0ubuntu0.14.04.4) trusty-security; urgency=medium

  * SECURITY UPDATE: side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: improve ecdsa and dsa in
      nss/lib/freebl/dsa.c, nss/lib/freebl/ec.c.
    - CVE-2018-0495
  * SECURITY UPDATE: ServerHello.random is all zero in v2 ClientHello
    - debian/patches/CVE-2018-12384-1.patch: fix random logic in
      nss/lib/ssl/ssl3con.c.
    - debian/patches/CVE-2018-12384-2.patch: add tests to
      nss/gtests/ssl_gtest/ssl_loopback_unittest.cc,
      nss/gtests/ssl_gtest/ssl_v2_client_hello_unittest.cc.
    - CVE-2018-12384
  * SECURITY UPDATE: cache side-channel variant of the Bleichenbacher attack
    - debian/patches/CVE-2018-12404-1.patch: improve RSA key exchange
      handling in nss/lib/ssl/ssl3con.c.
    - debian/patches/CVE-2018-12404-3.patch: add constant time
      mp_to_fixlen_octets in nss/gtests/freebl_gtest/mpi_unittest.cc,
      nss/lib/freebl/mpi/mpi.c, nss/lib/freebl/mpi/mpi.h.
    - CVE-2018-12404

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Dec 2018 10:33:50 -0500

nss (2:3.28.4-0ubuntu0.14.04.3) trusty-security; urgency=medium

  * SECURITY UPDATE: Use-after-free in TLS 1.2 generating handshake hashes
    - debian/patches/CVE-2017-7805.patch: Simplify handling of
      CertificateVerify in nss/lib/ssl/ssl3con.c, nss/lib/ssl/ssl3prot.h.
    - CVE-2017-7805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Sep 2017 08:54:40 -0400

nss (2:3.28.4-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via empty SSLv2 messages
    - debian/patches/CVE-2017-7502.patch: reject broken v2 records in
      nss/lib/ssl/ssl3gthr.c, nss/lib/ssl/ssldef.c, nss/lib/ssl/sslimpl.h,
      added tests to nss/gtests/ssl_gtest/ssl_gather_unittest.cc,
      nss/gtests/ssl_gtest/ssl_gtest.gyp, nss/gtests/ssl_gtest/manifest.mn,
      nss/gtests/ssl_gtest/ssl_v2_client_hello_unittest.cc.
    - CVE-2017-7502

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Jun 2017 08:14:11 -0400

nss (2:3.28.4-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to upstream 3.28.4 to fix security issues and get a new CA
    certificate bundle.
  * SECURITY UPDATE: DES and Triple DES ciphers birthday attack
    - CVE-2016-2183
  * SECURITY UPDATE: out-of-bounds write in Base64 decoding
    - CVE-2017-5461
  * debian/patches/99_jarfile_ftbfs.patch: removed, upstream.
  * debian/patches/*.patch: refreshed for new version.
  * debian/control: bump libnspr4-dev to 4.13.1.
  * debian/libnss3.symbols: added new symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Apr 2017 10:25:43 -0400

nss (2:3.26.2-0ubuntu0.14.04.3) trusty-security; urgency=medium

  * Updated to upstream 3.26.2 to fix security issues and get a new CA
    certificate bundle.
  * SECURITY UPDATE: denial of service via invalid DH keys
    - CVE-2016-5285
  * SECURITY UPDATE: small subgroup confinement attack
    - CVE-2016-8635
  * SECURITY UPDATE: insufficient mitigation of timing side-channel attack
    - CVE-2016-9074
  * debian/rules: added libfreeblpriv3.so.
  * debian/libnss3.symbols: updated for new version, added
    SSL_GetCipherSuiteInfo and SSL_GetChannelInfo as they are not backwards
    compatible.
  * debian/patches/*.patch: refreshed for new version.
  * debian/rules: When building with -O3, build with -Wno-error=maybe-
    uninitialized to fix FTBFS on ppc64el.
  * debian/patches/99_jarfile_ftbfs.patch: fix FTBFS on powerpc.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Dec 2016 07:19:11 -0500

nss (2:3.23-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to upstream 3.23 to fix a security issue and get a new CA
    certificate bundle.
  * SECURITY UPDATE: multiple memory safety issues
    - CVE-2016-2834
  * debian/control: bump libnspr4-dev Build-Depends to 2:4.12.
  * debian/libnss3.symbols: updated for new version.
  * debian/patches/CVE-2016-1950.patch: dropped, upstream.
  * debian/patches/ftbfs_ppc64el.patch: dropped, no longer needed.
  * debian/patches/relax_dh_size.patch: removed, now require a minimum DH
    size of 1023 bits.
  * debian/patches/*.patch: refreshed for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Jul 2016 14:09:52 -0400

nss (2:3.21-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: buffer overflow during ASN.1 decoding
    - debian/patches/CVE-2016-1950.patch: check lengths in
      nss/lib/util/secasn1d.c.
    - CVE-2016-1950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Mar 2016 07:38:11 -0500

nss (2:3.21-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to upstream 3.21 to fix a security issue and get a new CA
    certificate bundle.
  * SECURITY UPDATE: improper division in mp_div and mp_exptmod
    - CVE-2016-1938
  * debian/libnss3.symbols: updated for new version.
  * debian/patches/95_add_spi+cacert_ca_certs.patch: dropped, no longer
    want the SPI cert
  * debian/patches/97_SSL_RENEGOTIATE_TRANSITIONAL.patch: dropped, no
    longer needed
  * debian/patches/CVE-2015-7575.patch: dropped, upstream
  * debian/patches/ftbfs_ppc64el.patch: don't enable -Werror on ppc64el,
    there are too many uninitialized variable false positives.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Feb 2016 09:38:27 -0500



=== debian/control ===
Source: nss
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.13.1), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
Standards-Version: 3.9.3.0
Homepage: http://www.mozilla.org/projects/security/pki/nss/
Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git

Package: libnss3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3-nssdb
Conflicts: libnss3-1d (<< 2:3.13.4-2)
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.

Package: libnss3-1d
Section: oldlibs
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libnss3 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries - transitional package
 This is a transitional package to ensure smooth transition of all packages
 to libnss3.

Package: libnss3-nssdb
Section: admin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libnss3 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Description: Network Security Security libraries - shared databases
 This package includes shared certificate and key databases.

Package: libnss3-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Security Service tools
 This is a set of tools on top of the Network Security Service libraries.
 This package includes:
  * certutil: manages certificate and key databases (cert7.db and key3.db)
  * modutil: manages the database of PKCS11 modules (secmod.db)
  * pk12util: imports/exports keys and certificates between the cert/key
    databases and files in PKCS12 format.
  * shlibsign: creates .chk files for use in FIPS mode.
  * signtool: creates digitally-signed jar archives containing files and/or
    code.
  * ssltap: proxy requests for an SSL server and display the contents of
    the messages exchanged between the client and server.
Homepage: http://www.mozilla.org/projects/security/pki/nss/tools/

Package: libnss3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnss3 (= ${binary:Version}), libnspr4-dev (>= 4.6.6-1)
Multi-Arch: ${misc:Multi-Arch}
Description: Development files for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 Install this package if you wish to develop your own programs using the
 Network Security Service Libraries.

Package: libnss3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
Conflicts: libnss3 (<< ${binary:Version}), libnss3 (>> ${binary:Version}), libnss3-tools (<< ${binary:Version}), libnss3-tools (>> ${binary:Version})
Provides: libnss3-1d-dbg
Multi-Arch: ${misc:Multi-Arch}
Description: Debugging symbols for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 This package provides the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
include debian/make.mk

$(call lazy,DEB_HOST_MULTIARCH,$$(shell dpkg-architecture -qDEB_HOST_MULTIARCH))
$(call lazy,CFLAGS,$$(shell dpkg-buildflags --get CFLAGS))
$(call lazy,CPPFLAGS,$$(shell dpkg-buildflags --get CPPFLAGS))
$(call lazy,LDFLAGS,$$(shell dpkg-buildflags --get LDFLAGS))

ifneq (,$(filter -O3,$(CFLAGS)))
  CFLAGS := $(CFLAGS) -Wno-error=maybe-uninitialized
endif

PREPROCESS_FILES := $(wildcard debian/*.in)

$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g;$(EXTRA_REPLACES)' $< > $@

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([0-9]*:\)\?\([^~]*\)\(~.*\)\?-.*$$/\2/ p')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(or $(word 3, $(subst ., ,$(UPSTREAM_VERSION))),0)

debian/nss.pc: EXTRA_REPLACES := s/@VERSION@/$(UPSTREAM_VERSION)/
debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/
debian/libnss3.lintian-overrides: EXTRA_REPLACES := s,/@DEB_HOST_MULTIARCH_WC@,$(DEB_HOST_MULTIARCH:%=/*),g

ifneq (,$(filter 64 alpha amd64 ia64 s390x,$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS 2> /dev/null || dpkg-architecture -qDEB_HOST_ARCH)))
USE_64 := USE_64=1
else ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),x32)
USE_64 := USE_X32=1
else
USE_64 :=
endif

# $(foreach foo,$(list),$(call cmd,some command $(foo))) expands to
#    some command first-elem
#    some command second-elem
#    etc.
# This avoid using a long one liner with semi colons.
define cmd
$(1)

endef

CFLAGS += -Wall -pipe

DISTDIR := $(CURDIR)/dist

override_dh_auto_build:
	$(MAKE) -C nss \
		all \
		NSPR_INCLUDE_DIR=/usr/include/nspr \
		NSPR_LIB_DIR=/usr/lib \
		SOURCE_PREFIX=$(DISTDIR) \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		NS_USE_GCC=1 \
		OPTIMIZER="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS='$(LDFLAGS) $$(ARCHFLAG) $$(ZDEFS_FLAG)' \
		DSO_LDOPTS='-shared $$(LDFLAGS)' \
		NSS_USE_SYSTEM_SQLITE=1 \
		NSS_ENABLE_ECC=1 \
		CHECKLOC= \
		$(USE_64)

override_dh_auto_clean:
	-$(MAKE) -C nss \
		clobber \
		SOURCE_PREFIX=$(DISTDIR) \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		$(USE_64)

	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)

override_dh_auto_install: $(PREPROCESS_FILES:.in=)
	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/libnss3.so \
		$(DISTDIR)/lib/libnssutil3.so \
		$(DISTDIR)/lib/libsmime3.so \
		$(DISTDIR)/lib/libssl3.so
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
		$(DISTDIR)/lib/libfreebl3.so \
		$(DISTDIR)/lib/libfreeblpriv3.so \
		$(DISTDIR)/lib/libsoftokn3.so \
		$(DISTDIR)/lib/libnssdbm3.so \
		$(DISTDIR)/lib/libnsssysinit.so \
		$(DISTDIR)/lib/libnssckbi.so

	install -m 644 -t debian/libnss3-dev/usr/include/nss \
		$(DISTDIR)/public/nss/*
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/libcrmf.a
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig debian/nss.pc
	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config

	install -m 755 -t debian/libnss3-tools/usr/bin \
		$(foreach bin, \
			certutil \
			chktest \
			cmsutil \
			crlutil \
			derdump \
			httpserv \
			modutil \
			ocspclnt \
			p7content \
			p7env \
			p7sign \
			p7verify \
			pk12util \
			pk1sign \
			pwdecrypt \
			rsaperf \
			selfserv \
			shlibsign \
			signtool \
			signver \
			ssltap \
			strsclnt \
			symkeyutil \
			tstclnt \
			vfychain \
			vfyserv \
		, $(DISTDIR)/bin/$(bin))
	# these utilities are too generically-named, so we prefix them with nss- (see http://bugs.debian.org/701141)
	$(foreach bin, \
		addbuiltin \
		dbtest \
		pp \
		, $(call cmd,install -m 755 -T $(DISTDIR)/bin/$(bin) debian/libnss3-tools/usr/bin/nss-$(bin)))

	# Create the empty certificate databases, with empty passphrase
	mkdir -p debian/tmp
	echo "\n" > debian/tmp/password
	mkdir -p debian/libnss3-nssdb/var/lib/nssdb
	LD_LIBRARY_PATH=$(DISTDIR)/lib $(DISTDIR)/bin/certutil -N -d debian/libnss3-nssdb/var/lib/nssdb \
		-f debian/tmp/password
	LD_LIBRARY_PATH=$(DISTDIR)/lib $(DISTDIR)/bin/certutil -N -d sql:debian/libnss3-nssdb/var/lib/nssdb \
		-f debian/tmp/password -@ debian/tmp/password
	# Remove DBM certificate and key databases.
	rm debian/libnss3-nssdb/var/lib/nssdb/cert8.db debian/libnss3-nssdb/var/lib/nssdb/key3.db
	chmod 644 debian/libnss3-nssdb/var/lib/nssdb/*
	install -m 644 -t debian/libnss3-nssdb/var/lib/nssdb debian/pkcs11.txt

override_dh_strip:
	dh_strip -a --dbg-package=libnss3-dbg
	$(foreach lib,libsoftokn3.so libfreebl3.so libfreeblpriv3.so libnssdbm3.so, \
		LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
	# Check FIPS mode correctly works
	mkdir -p debian/tmp
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null

override_dh_makeshlibs: /usr/share/debhelper/autoscripts/postinst-makeshlibs /usr/share/debhelper/autoscripts/postrm-makeshlibs
	dh_makeshlibs -a -- -c4
	cat /usr/share/debhelper/autoscripts/postinst-makeshlibs > debian/libnss3.postinst.debhelper
	cat /usr/share/debhelper/autoscripts/postrm-makeshlibs > debian/libnss3.postrm.debhelper

ifneq (,$(DEB_HOST_MULTIARCH))
override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Multi-Arch=same
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

%:
	dh $@

=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_(\d_[\d_]+)_RTM/src/nss-([\d\.]+)\.tar\.(?:bz2|gz)

## nss 3.32

=== debian/changelog ===
nss (2:3.32-1ubuntu3) artful; urgency=medium

  * SECURITY UPDATE: Use-after-free in TLS 1.2 generating handshake hashes
    - debian/patches/CVE-2017-7805.patch: Simplify handling of
      CertificateVerify in nss/lib/ssl/ssl3con.c, nss/lib/ssl/ssl3prot.h.
    - CVE-2017-7805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Sep 2017 12:17:39 -0400

nss (2:3.32-1ubuntu2) artful; urgency=medium

  * Initialise curve variable in a test file, resolves FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 24 Aug 2017 07:21:27 -0400

nss (2:3.32-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Aug 2017 13:09:20 -0400

nss (2:3.32-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Aug 2017 15:29:40 +0900

nss (2:3.31-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3_31 and NSSUTIL_3.31 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sat, 17 Jun 2017 06:41:41 +0900

nss (2:3.30.2-1) experimental; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 19 May 2017 14:06:03 +0900

nss (2:3.30.1-1) experimental; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Apr 2017 20:09:48 +0900

nss (2:3.30-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.30 and NSS_3.30.0.1 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2017 15:34:23 +0900

nss (2:3.29.1-1) experimental; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sat, 25 Feb 2017 09:27:44 +0900

nss (2:3.29-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSSUTIL_3.25 symbol version.

 -- Mike Hommey <glandium@debian.org>  Mon, 13 Feb 2017 07:42:36 +0900

nss (2:3.28.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.28 symbol version.

 -- Mike Hommey <glandium@debian.org>  Sun, 05 Feb 2017 15:01:47 +0900

nss (2:3.27.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.27 symbol version.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Nov 2016 08:29:17 +0900

nss (2:3.28.4-0ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: DoS via empty SSLv2 messages
    - debian/patches/CVE-2017-7502.patch: reject broken v2 records in
      nss/lib/ssl/ssl3gthr.c, nss/lib/ssl/ssldef.c, nss/lib/ssl/sslimpl.h,
      added tests to nss/gtests/ssl_gtest/ssl_gather_unittest.cc,
      nss/gtests/ssl_gtest/ssl_gtest.gyp, nss/gtests/ssl_gtest/manifest.mn,
      nss/gtests/ssl_gtest/ssl_v2_client_hello_unittest.cc.
    - CVE-2017-7502

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Jun 2017 08:12:38 -0400

nss (2:3.28.4-0ubuntu1) artful; urgency=medium

  * Updated to upstream 3.28.4 to fix security issues and get a new CA
    certificate bundle.
  * SECURITY UPDATE: DES and Triple DES ciphers birthday attack
    - CVE-2016-2183
  * SECURITY UPDATE: out-of-bounds write in Base64 decoding
    - CVE-2017-5461
  * debian/patches/*.patch: refreshed for new version.
  * debian/control: bump libnspr4-dev to 4.13.1.
  * debian/libnss3.symbols: added new symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Apr 2017 13:13:44 -0400

nss (2:3.26.2-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Dec 2016 08:48:03 -0500

nss (2:3.26.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sun, 30 Oct 2016 07:20:34 +0900

nss (2:3.26-2) unstable; urgency=medium

  * debian/libnss3.symbols: SSL_GetCipherSuiteInfo and SSL_GetChannelInfo need
    newer versions despite the symbol versions.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Sep 2016 10:02:23 +0900

nss (2:3.26-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 14:39:56 +0200

nss (2:3.26-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update such that uscan --download-version works.
  * debian/control, debian/libnss3-1d.*, debian/libnss3.symbols: Remove the
    libnss3-1d* transitional packages.
  * debian/rules:
    - Always set CCC to CXX. Thanks Helmut Grohne. Closes: #806292.
    - Override KERNEL when cross building for a different OS. Closes: #810579.
  * debian/control: Split Depends/Build-Depends/Conflicts. Thanks Guido Günther.
    Closes: #806634.

 -- Mike Hommey <glandium@debian.org>  Tue, 16 Aug 2016 16:33:15 +0900

nss (2:3.25-1ubuntu1) yakkety; urgency=medium

  * When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 11:36:54 +0200

nss (2:3.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols, debian/rules: Add the new libfreeblpriv3 library.
  * debian/libnss3.symbols: Add NSS_3.24 and NSSUTIL_3.24 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Aug 2016 10:23:13 +0900

nss (2:3.23-2) unstable; urgency=medium

  * debian/control, debian/rules: Leave it to dh_makeshlibs to do the right
    thing wrt ldconfig. This requires debhelper 9.20160403. Closes: #811124.

 -- Mike Hommey <glandium@debian.org>  Sun, 03 Apr 2016 18:29:02 +0900

nss (2:3.23-1) unstable; urgency=medium

  * New upstream release.
  * Fixes mfsa2016-{35-36} also known as CVE-2016-1950 and CVE-2016-1979.
  * debian/control: Bump nspr build dependency to 2:4.12.
  * debian/libnss3.symbols: Add NSS_3.22 and NSS_3.23 symbol versions.



=== debian/control ===
Source: nss
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 9.20160403),
 dpkg-dev (>= 1.17.14),
 libnspr4-dev (>= 2:4.12),
 zlib1g-dev,
 libsqlite3-dev (>= 3.3.9),
 libnss3-tools:native (>= 2:3.19-1-1~) <cross>
Standards-Version: 3.9.6.0
Homepage: http://www.mozilla.org/projects/security/pki/nss/
Vcs-Git: https://anonscm.debian.org/git/pkg-mozilla/nss.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/nss.git

Package: libnss3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libnss3-1d (<< 2:3.13.4-2)
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.

Package: libnss3-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Network Security Service tools
 This is a set of tools on top of the Network Security Service libraries.
 This package includes:
  * certutil: manages certificate and key databases (cert7.db and key3.db)
  * modutil: manages the database of PKCS11 modules (secmod.db)
  * pk12util: imports/exports keys and certificates between the cert/key
    databases and files in PKCS12 format.
  * shlibsign: creates .chk files for use in FIPS mode.
  * signtool: creates digitally-signed jar archives containing files and/or
    code.
  * ssltap: proxy requests for an SSL server and display the contents of
    the messages exchanged between the client and server.
Homepage: http://www.mozilla.org/projects/security/pki/nss/tools/

Package: libnss3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libnss3 (= ${binary:Version}),
 libnspr4-dev (>= 4.6.6-1)
Multi-Arch: ${misc:Multi-Arch}
Description: Development files for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 Install this package if you wish to develop your own programs using the
 Network Security Service Libraries.

Package: libnss3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
Conflicts: libnss3 (<< ${binary:Version}),
 libnss3 (>> ${binary:Version}),
 libnss3-tools (<< ${binary:Version}),
 libnss3-tools (>> ${binary:Version})
Multi-Arch: ${misc:Multi-Arch}
Description: Debugging symbols for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 This package provides the debugging symbols for the library.

## nss 3.33

=== debian/changelog ===
nss (2:3.33-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3_33 and NSSUTIL_3.33 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Sep 2017 06:49:26 +0900

nss (2:3.32-2) unstable; urgency=medium

  * nss/gtests/ssl_gtest/ssl_ecdh_unittest.cc: Fix possibly uninitialized
    value 'curve'. bz#1389263. Closes: #871691.
  * lib/freebl/Makefile: Only build gcm.c and rijndael.c with -maes.
    Closes: #871700.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Aug 2017 07:39:59 +0900

## nss 3.35

=== nss/doc/Makefile ===
#! gmake
#
# Creates man pages for the NSS security tools
#
# pk12util, certutil, modutil, ssltap, 
# signtool, signver, cmsutil, crlutil,  
# derdump, pp, vfychain, vfyserv
#

.SUFFIXES: .html .txt .1 .xml

COMPILE.1 = xmlto -o nroff man
COMPILE.html = xmlto -o html html

# the name of the tar ball
name = nss-man
date = `date +"%Y%m%d"`

all: prepare all-man all-html

prepare: date-and-version
	mkdir -p html
	mkdir -p nroff
	
clean:
	rm -f date.xml version.xml *.tar.bz2
	rm -f html/*.proc
	rm -fr $(name) ascii

date-and-version: date.xml version.xml

date.xml:
	date +"%e %B %Y" | tr -d '\n' > $@

version.xml:
	echo -n ${VERSION} > $@

.PHONY : $(MANPAGES)
.PHONY : $(HTMLPAGES)
.PHONY : $(TXTPAGES)

#--------------------------------------------------------
# manpages
#--------------------------------------------------------

nroff/%.1 : %.xml
	$(COMPILE.1) $<
	
MANPAGES = \
nroff/certutil.1 nroff/cmsutil.1 nroff/crlutil.1 nroff/pk12util.1 \
nroff/modutil.1 nroff/ssltap.1 nroff/derdump.1 nroff/signtool.1 nroff/signver.1 \
nroff/pp.1 nroff/vfychain.1 nroff/vfyserv.1

all-man: prepare $(MANPAGES)

#--------------------------------------------------------
# html pages
#--------------------------------------------------------

html/%.html : %.xml
	$(COMPILE.html) $<
	mv html/index.html $@

HTMLPAGES = \
html/certutil.html html/cmsutil.html html/crlutil.html html/pk12util.html html/modutil.html \
html/ssltap.html html/derdump.html html/signtool.html html/signver.html html/pp.html \
html/vfychain.html html/vfyserv.html

all-html: prepare $(HTMLPAGES)

=== debian/changelog ===
nss (2:3.35-2ubuntu2) bionic; urgency=medium

  * d/p/lp1746947-revert-switch-default-to-sql.patch: the switch of the
    default is still causing too much issues in consumers of nss.
    So until resolved revert the switched default (LP: #1746947)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 05 Feb 2018 11:36:07 +0100

nss (2:3.35-2ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.
  * Added Changes:
    - d/libnss3.links: make freebl3 available as library (LP: #1744328)
      + d/control: add dh-exec to Build-Depends
      + d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 30 Jan 2018 14:04:20 +0100

nss (2:3.35-2) unstable; urgency=medium

  * nss/lib/freebl/Makefile: Build Hacl_Poly1305_64.o on arm64.

 -- Mike Hommey <glandium@debian.org>  Mon, 29 Jan 2018 13:51:18 +0900

nss (2:3.35-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Mon, 29 Jan 2018 10:59:06 +0900

nss (2:3.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 05 Jan 2018 20:15:40 +0900

nss (2:3.34-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Dec 2017 09:18:47 -0500

nss (2:3.34-1) unstable; urgency=medium

  * New upstream release:
    - Really build without -maes on i386. Closes: #875694.
  * debian/libnss3.symbols: Add NSS_3_34 symbol version.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Nov 2017 14:58:01 +0900

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 9.20160403),
+ dh-exec,
  dpkg-dev (>= 1.17.14),
  libnspr4-dev (>= 2:4.12),
  zlib1g-dev,
